# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "mev_tools_core"
version = "0.2.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Helper lib for creating mev bots"
readme = false
license = "MIT"
repository = "https://github.com/0xfourzerofour/mev_tools"

[lib]
name = "mev_tools_core"
path = "src/lib.rs"

[dependencies.alloy]
version = "1.0.36"
features = ["full"]

[dependencies.anyhow]
version = "1.0.70"

[dependencies.async-trait]
version = "0.1.64"

[dependencies.futures]
version = "0.3"

[dependencies.futures-util]
version = "0.3.31"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.thiserror]
version = "1.0.40"

[dependencies.tokio]
version = "1.18"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1"
features = ["sync"]

[dependencies.toml]
version = "0.8"

[dependencies.tracing]
version = "0.1.37"
